# HPR Documentation

A place to keep the HPR documentation.

Please read the [developer information](developer_information.md) before you decide to contribute.

**In order to contribute you need to create an account, but you also need to notify the admins@hpr either via email, mastodon, or matrix that you have created an account. Due to the level of spam accounts we need to approve one by one.**


- [Community Content Delivery Network (CCDN)](https://repo.anhonesthost.net/HPR/hpr_documentation/src/branch/main/ccdn)
A location to track the deployment of the HPR Community Contend Delivery Network, that provides a mirror network for our content.
- [HPR Website Design](https://repo.anhonesthost.net/HPR/hpr_documentation/wiki/Website-Design)
This is literally in the whiteboard phase of the HPR website redesign.
Where we can track Compatibility of the clients subscribed to our feeds.
- [Useful Resources](https://repo.anhonesthost.net/HPR/hpr_documentation/wiki/Useful-Resources)
Where we can link to other free culture sites that provide usefull services.
- Requested Topics
Where we can track topics that have been requested, and link to shows that addressed them.

## Podcatcher and Podcasting Platform Compatibility

[See Podcatchers](https://repo.anhonesthost.net/HPR/hpr_documentation/src/branch/main/podcatchers)

## Workflow

- [Uploading a Show](https://repo.anhonesthost.net/HPR/hpr_documentation/src/branch/main/workflow/uploading_a_show.md) - the processes involved in getting your show to the HPR servers.
  - REQUEST_UNVERIFIED - Someone selects a slot
  - REQUEST_EMAIL_SENT - email sent to the host
  - EMAIL_LINK_CLICKED - The host clicked the link and is about to upload the show.
  - SHOW_SUBMITTED - upload complete
- [Processing Show Notes](https://repo.anhonesthost.net/HPR/hpr_documentation/src/branch/main/workflow/processing_a_show.md)
  - SHOW_POSTED - show in the database
- MEDIA_TRANSCODED - audio all generated
- UPLOADED_TO_IA - on the IA and visible
- UPLOADED_TO_RSYNC_NET - archived on rsync.net


- Posting Show
- Transcoding Audio
- Delivery to the Origin
- Distribution to the Mirrors on the CCDN

## Site Maintenance

- [Fixing audio tags on uploaded shows ](https://repo.anhonesthost.net/HPR/hpr_documentation/wiki/Fixing-audio-tags-on-uploaded-shows)

